//
//  AnchDubModel.h
//  DreamLive
//
//  Created by guiji on 2023/6/14.
//

#import <UIKit/UIKit.h>


@interface AnchDubModel : NSObject

@property(nonatomic,strong)NSString* ttsIntroduction;
@property(nonatomic,strong)NSString* ttsName;
@property(nonatomic,strong)NSString* remark;
@property(nonatomic,assign)NSInteger pid;
@property(nonatomic,assign)NSInteger free;
@property(nonatomic,strong)NSString* ttsSpeaker;
//女声 男生
@property(nonatomic,strong)NSString* userCategory;
@property(nonatomic,strong)NSString* ttsParent;
@property(nonatomic,strong)NSString* sex;
@property(nonatomic,strong)NSString* updateBy;
@property(nonatomic,strong)NSString* updateTime;
@property(nonatomic,strong)NSString* ttsCategory;
@property(nonatomic,assign)NSInteger ttsSource;
@property(nonatomic,strong)NSString* ttsExtendJson;
//女声|甜美
@property(nonatomic,strong)NSString* ttsScenes;

@property(nonatomic,assign)NSInteger isAllocation;

@property(nonatomic,strong)NSDictionary* ttsPlatForm;

//音频地址
@property(nonatomic,strong)NSString* ttsAudition;
//音频封面
@property(nonatomic,strong)NSString* ttsCover;
///语速
@property(nonatomic,assign) NSInteger speed;
///音量
@property(nonatomic,assign) NSInteger volume;
///音调
@property(nonatomic,assign) NSInteger intonation;
///情绪
@property(nonatomic,assign) NSInteger anchorF0upKey;
///平台名称
@property(nonatomic,strong) NSString* platformName;
///音调最小值
@property(nonatomic,assign) NSInteger intonationMin;
///音调最大值
@property(nonatomic,assign) NSInteger intonationMax;
///平台ID
@property(nonatomic,assign) NSInteger platformId;
///语速最小值
@property(nonatomic,assign) NSInteger speedMin;
///语速最大值
@property(nonatomic,assign) NSInteger speedMax;
///音量最小值
@property(nonatomic,assign) NSInteger volumeMin;
///音量最大值
@property(nonatomic,assign) NSInteger volumeMax;
///情绪最小值
@property(nonatomic,assign) NSInteger f0upKeyMin;
///情绪最大值
@property(nonatomic,assign) NSInteger f0upKeyMax;
//是否支持情绪
@property(nonatomic,assign) NSInteger f0upKeyFlag;
@property(nonatomic,assign) BOOL isPlaying;
@property(nonatomic,assign) BOOL isSelect;
@property(nonatomic,assign) NSInteger row;
@property(nonatomic,assign)NSInteger viewIndex;
@end



