//
//  AnchDubModel.m
//  DreamLive
//
//  Created by guiji on 2023/6/14.
//

#import "AnchDubModel.h"

@implementation AnchDubModel
WZLSERIALIZE_CODER_DECODER();
WZLSERIALIZE_COPY_WITH_ZONE();
WZLSERIALIZE_MUTABLE_COPY_WITH_ZONE();
WZLSERIALIZE_DESCRIPTION();
-(id)init
{
    self=[super init];
    if(self)
    {
    
        self.ttsIntroduction=@"";
        self.ttsName=@"";
        self.remark=@"";
        self.pid=0;
        self.free=0;
        self.ttsSpeaker=@"";
        //女声 男生
        self.userCategory=@"";
        self.ttsParent=@"";
        self.sex=@"";
        self.updateBy=@"";
        self.updateTime=@"";
        self.ttsCategory=@"";
        self.ttsSource=0;
        self.ttsExtendJson=@"";
        //女声|甜美
       self.ttsScenes=@"";

       self.isAllocation=0;

        self.ttsPlatForm=@{};
        //音频地址
        self.ttsAudition=@"";
        
        //音频封面
        self.ttsCover=@"";
        
        ///语速
        self.speed=0;
        ///音量
        self.volume=0;
        ///音调
       self.intonation=0;
        ///平台ID
        self.platformId=0;
        ///平台名称
       self.platformName=@"";
        ///音调最小值
       self.intonationMin=0;
        ///音调最大值
       self.intonationMax=0;
     
        ///语速最小值
        self.speedMin=0;
        ///语速最大值
        self.speedMax=0;
        ///音量最小值
        self.volumeMin=0;
        ///音量最大值
        self.volumeMax=0;
        self.viewIndex=1;
   
    }
    return self;
}
- (void)mj_keyValuesDidFinishConvertingToObject {
    
    if (![self.ttsCover hasPrefix:@"http"] && !IS_Agent_EMPTY(self.ttsCover)) {
        self.ttsCover = [NSString stringWithFormat:@"%@%@",DLOBSUrl,self.ttsCover];
    }
    self.ttsCover = [self.ttsCover stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
    NSDictionary *dic=[GlobalFunc dictionaryWithJsonString:self.ttsExtendJson];
//    self.speed=[[GlobalFunc changeType:dic[@"speed"]] integerValue];
////    NSLog(@"speed:%ld",self.speed);
//    self.volume=[[GlobalFunc changeType:dic[@"volume"]] integerValue];
//    self.intonation=[[GlobalFunc changeType:dic[@"intonation"]] integerValue];
    self.f0upKeyFlag=[[GlobalFunc changeType:dic[@"f0upKeyFlag"]] integerValue];
    
    NSDictionary *extendJson=[GlobalFunc dictionaryWithJsonString:self.ttsPlatForm[@"extendJson"]];
    if([extendJson isKindOfClass:[NSDictionary class]])
    {
        self.speed=[[GlobalFunc changeType:extendJson[@"speed"]] integerValue];
        self.volume=[[GlobalFunc changeType:extendJson[@"volume"]] integerValue];
        self.intonation=[[GlobalFunc changeType:extendJson[@"intonation"]] integerValue];
    }
    ///平台ID
    self.platformId=[[GlobalFunc changeType:self.ttsPlatForm[@"platformId"]] integerValue];
    ///平台名称
   self.platformName=[GlobalFunc changeType:self.ttsPlatForm[@"platformName"]];
    ///音调最小值
    self.intonationMin=[[GlobalFunc changeType:self.ttsPlatForm[@"intonationMin"]] integerValue];
    ///音调最大值
    self.intonationMax=[[GlobalFunc changeType:self.ttsPlatForm[@"intonationMax"]] integerValue];
    ///语速最小值
    self.speedMin=[[GlobalFunc changeType:self.ttsPlatForm[@"speedMin"]] integerValue];
    ///语速最大值
    self.speedMax=[[GlobalFunc changeType:self.ttsPlatForm[@"speedMax"]] integerValue];
    ///音量最小值
    self.volumeMin=[[GlobalFunc changeType:self.ttsPlatForm[@"volumeMin"]] integerValue];
    ///音量最大值
    self.volumeMax=[[GlobalFunc changeType:self.ttsPlatForm[@"volumeMax"]] integerValue];
    ///情绪最小值
    self.f0upKeyMin=[[GlobalFunc changeType:self.ttsPlatForm[@"f0upKeyMin"]] integerValue];
    ///情绪最大值
    self.f0upKeyMax=[[GlobalFunc changeType:self.ttsPlatForm[@"f0upKeyMax"]] integerValue];
//    NSDictionary *extendJson=[GlobalFunc dictionaryWithJsonString:self.ttsPlatForm[@"extendJson"]];

//    if([[Model sharedInstance].listModel.anchorPepole isEqualToString:self.ttsSpeaker])
//    {
//        self.speed=[[Model sharedInstance].listModel.anchorSpeed integerValue];
//        self.volume=[[Model sharedInstance].listModel.anchorVoice integerValue];
//        self.intonation=[[Model sharedInstance].listModel.anchorIntonation integerValue];
//        self.anchorF0upKey=[[Model sharedInstance].listModel.anchorF0upKey integerValue];
//    }
    
}
+ (NSDictionary *)mj_replacedKeyFromPropertyName{

    return @{@"pid":@"id"};
}
- (id)mj_newValueFromOldValue:(id)oldValue property:(MJProperty *)property {
    if ([NSString isEmpty:oldValue])
    {// 以字符串类型为例
        if([oldValue isKindOfClass:[NSString class]] || [oldValue isKindOfClass:[NSNumber class]])
        {
            return @"";
        }
        else if([oldValue isKindOfClass:[NSDictionary class]])
        {
            return @{};
        }
        else if([oldValue isKindOfClass:[NSArray class]])
        {
            return @[];
        }
     
     
    }
    return oldValue;
}
/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/

@end
