//
//  DLSelectDigitalModel.m
//  GJDigitalDemo
//
//  Created by guiji on 2023/7/5.
//

#import "DLSelectDigitalModel.h"

@implementation DLSelectDigitalModel
-(id)init
{
    self=[super init];
    if(self)
    {
        
        self.sceneList=[[NSMutableArray alloc] init];
    }
    return self;
}
+ (NSDictionary *)mj_replacedKeyFromPropertyName{
    
    
    return @{@"pid":@"id"};
    
    
}
+ (NSDictionary *)mj_objectClassInArray {

    return  @{@"sceneList":@"DLDigitalSceneModel"};
}

- (void)mj_keyValuesDidFinishConvertingToObject {
    
    if (![self.coverUrl hasPrefix:@"http"] && !IS_Agent_EMPTY(self.coverUrl)) {
        self.coverUrl = [NSString stringWithFormat:@"%@%@",DLOBSUrl,self.coverUrl];
    }
    self.coverUrl = [self.coverUrl stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
    
    if (![self.originalCoverUrl hasPrefix:@"http"] && !IS_Agent_EMPTY(self.originalCoverUrl)) {
        self.originalCoverUrl = [NSString stringWithFormat:@"%@%@",DLOBSUrl,self.originalCoverUrl];
    }
    self.originalCoverUrl = [self.originalCoverUrl stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
    
    if (![self.profilePicUrl hasPrefix:@"http"] && !IS_Agent_EMPTY(self.profilePicUrl)) {
        self.profilePicUrl = [NSString stringWithFormat:@"%@%@",DLOBSUrl,self.profilePicUrl];
    }
    self.profilePicUrl = [self.profilePicUrl stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
    
    if (![self.zipCoverUrl hasPrefix:@"http"] && !IS_Agent_EMPTY(self.zipCoverUrl)) {
        self.zipCoverUrl = [NSString stringWithFormat:@"%@%@",DLOBSUrl,self.zipCoverUrl];
    }
    self.zipCoverUrl = [self.zipCoverUrl stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
    
    if (![self.videoCoverUrl hasPrefix:@"http"] && !IS_Agent_EMPTY(self.videoCoverUrl)) {
        self.videoCoverUrl = [NSString stringWithFormat:@"%@%@",DLOBSUrl,self.videoCoverUrl];
    }
    self.videoCoverUrl = [self.videoCoverUrl stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
    
    
}
- (id)mj_newValueFromOldValue:(id)oldValue property:(MJProperty *)property {
    if ([NSString isEmpty:oldValue])
    {// 以字符串类型为例
        if([oldValue isKindOfClass:[NSString class]])
        {
            return @"";
        }
        else if([oldValue isKindOfClass:[NSNumber class]])
        {
            return @(0);
        }
        else if([oldValue isKindOfClass:[NSDictionary class]])
        {
            return @{};
        }
        else if([oldValue isKindOfClass:[NSArray class]])
        {
            return @[];
        }
        
        
    }
    return oldValue;
}
@end



@implementation DLDigitalSceneModel

+ (NSDictionary *)mj_replacedKeyFromPropertyName{
    
    return @{@"pid":@"id",
    };
}



- (void)mj_keyValuesDidFinishConvertingToObject {
    
    NSLog(@"resolution:%@",self.resolution);
    if (![self.boneFileUrl hasPrefix:@"http"] && !IS_Agent_EMPTY(self.boneFileUrl)) {
        self.boneFileUrl = [NSString stringWithFormat:@"%@%@",DLOBSUrl,self.boneFileUrl];
    }
    self.boneFileUrl = [self.boneFileUrl stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
    
    if (![self.compressModelPath hasPrefix:@"http"] && !IS_Agent_EMPTY(self.compressModelPath)) {
        self.compressModelPath = [NSString stringWithFormat:@"%@%@",DLOBSUrl,self.compressModelPath];
    }
    self.compressModelPath = [self.compressModelPath stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
    
    if (![self.coverUrl hasPrefix:@"http"] && !IS_Agent_EMPTY(self.coverUrl)) {
        self.coverUrl = [NSString stringWithFormat:@"%@%@",DLOBSUrl,self.coverUrl];
    }
    self.coverUrl = [self.coverUrl stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
    
    if (![self.greenClothUrl hasPrefix:@"http"] && !IS_Agent_EMPTY(self.greenClothUrl)) {
        self.greenClothUrl = [NSString stringWithFormat:@"%@%@",DLOBSUrl,self.greenClothUrl];
    }
    self.greenClothUrl = [self.greenClothUrl stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
    
    if (![self.originalModelPath hasPrefix:@"http"] && !IS_Agent_EMPTY(self.originalModelPath)) {
        self.originalModelPath = [NSString stringWithFormat:@"%@%@",DLOBSUrl,self.originalModelPath];
    }
    self.originalModelPath = [self.originalModelPath stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
    
    if (![self.samplePictureUrl hasPrefix:@"http"] && !IS_Agent_EMPTY(self.samplePictureUrl)) {
        self.samplePictureUrl = [NSString stringWithFormat:@"%@%@",DLOBSUrl,self.samplePictureUrl];
    }
    self.samplePictureUrl = [self.samplePictureUrl stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
    
    if (![self.videoCoverUrl hasPrefix:@"http"] && !IS_Agent_EMPTY(self.videoCoverUrl)) {
        self.videoCoverUrl = [NSString stringWithFormat:@"%@%@",DLOBSUrl,self.videoCoverUrl];
    }
    self.videoCoverUrl = [self.videoCoverUrl stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
    
    NSDictionary *configJson=[GlobalFunc dictionaryWithJsonString:self.configJson];
    if([configJson isKindOfClass:[NSDictionary class]])
    {
        self.horizontal=[[GlobalFunc changeType:configJson[@"horizontal"]] integerValue];
        self.vertical=[[GlobalFunc changeType:configJson[@"vertical"]] integerValue];
    }
    
    
    
}

- (id)mj_newValueFromOldValue:(id)oldValue property:(MJProperty *)property {
    if ([NSString isEmpty:oldValue])
    {// 以字符串类型为例
        if([oldValue isKindOfClass:[NSString class]])
        {
            return @"";
        }
        else if([oldValue isKindOfClass:[NSNumber class]])
        {
            return @(0);
        }
        else if([oldValue isKindOfClass:[NSDictionary class]])
        {
            return @{};
        }
        else if([oldValue isKindOfClass:[NSArray class]])
        {
            return @[];
        }
     
     
    }
    return oldValue;
}
@end

