//
//  GYAccessPermissions.m
//  GuiYuSiri
//
//  Created by ftt on 2021/8/4.
//

#import "GYAccess.h"
#import <UIKit/UIKit.h>
#import<AVFoundation/AVFoundation.h>
@implementation GYAccess
static GYAccess *instance = nil;

#pragma mark -
#pragma mark 单实例模式、初始化
+(GYAccess*)manager
{
    @synchronized(self)
    {
        if (instance==nil)
        {
            instance=[[GYAccess alloc] init];
        
        }
    }
    return instance;
}



-(BOOL)getCamerapermissions
{
    
    return isCamera;
    
}

-(BOOL)getmicrophoneaccess{


    return isRecord;
    
}

-(BOOL)getPhotopermissions{
  
    return isPhoto;

}
//相机权限
-(void)getCamerapermissions:(void (^)(bool isPermis))success
{
//      BOOL ranted;
    [AVCaptureDevice requestAccessForMediaType:AVMediaTypeVideo completionHandler:^(BOOL granted) {
                if(granted){

                } else
                {
                    [self jumptoVC:@"您还没有允许相机权限,录制视频需要相机权限"];
                }
              self->isCamera=granted;
              success(granted);
            }];
   

    
}

-(void)getmicrophoneaccess:(void (^)(bool isPermis))success
{
    __block  BOOL ranted;
    [AVCaptureDevice requestAccessForMediaType:AVMediaTypeAudio completionHandler:^(BOOL granted) {
        
        ranted=granted;
        self->isRecord=granted;
        if (ranted==NO) {

            [self jumptoVC:@"您还没有允许麦克风权限,录音和语音识别需要麦克风权限"];
        }
        success(ranted);
    }];

    
}


-(void)jumptoVC:(NSString *)title{
    
    UIAlertController * alert = [UIAlertController alertControllerWithTitle:title message:@"去设置一下吧" preferredStyle:UIAlertControllerStyleAlert];

    UIAlertAction * cancelAction = [UIAlertAction actionWithTitle:@"取消" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {

    }];
    UIAlertAction * setAction = [UIAlertAction actionWithTitle:@"去设置" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
        dispatch_async(dispatch_get_main_queue(), ^{
            NSURL * url = [NSURL URLWithString:UIApplicationOpenSettingsURLString];
            if (@available(iOS 10.0, *)) {
                [UIApplication.sharedApplication openURL:url options:nil completionHandler:^(BOOL success) {
                    
                }];

            } else {
                // Fallback on earlier versions
            }
        });
    }];

    [alert addAction:cancelAction];
    [alert addAction:setAction];
    dispatch_async(dispatch_get_main_queue(), ^{
        [[self getCurrentViewController] presentViewController:alert animated:YES completion:nil];
    });


 
}
//获取手机当前显示的ViewController

- (UIViewController *)getCurrentViewController {
    UIWindow* window = [[[UIApplication sharedApplication] delegate] window];
    NSAssert(window, @"The window is empty");
    //获取根控制器
    UIViewController* currentViewController = window.rootViewController;
    //获取当前页面控制器
    BOOL runLoopFind = YES;
    while (runLoopFind){
        if (currentViewController.presentedViewController)
        {
            currentViewController = currentViewController.presentedViewController;
        } else if ([currentViewController isKindOfClass:[UINavigationController class]])
        {
            UINavigationController* navigationController = (UINavigationController* )currentViewController;
            currentViewController = [navigationController.childViewControllers lastObject];
        } else if ([currentViewController isKindOfClass:[UITabBarController class]]){
            UITabBarController* tabBarController = (UITabBarController* )currentViewController;
            currentViewController = tabBarController.selectedViewController;
        } else {
            NSUInteger childViewControllerCount = currentViewController.childViewControllers.count;
            if (childViewControllerCount > 0)
            {
                currentViewController = currentViewController.childViewControllers.lastObject;
                return currentViewController;
            } else {
                return currentViewController;
            }
        }
    }
    return currentViewController;
}


@end
