//
//  GlobalFunc.h
//  GJDigitalDemo
//
//  Created by guiji on 2023/7/5.
//

#import <Foundation/Foundation.h>

#import "SVProgressHUD.h"
#import "BGMusicModel.h"
@interface GlobalFunc : NSObject
//存放历史缓存的文件夹
+(NSString *)getHistoryCachePath:(NSString*)pathName;
+(void)showWindowText:(NSString *)loadtext :(UIView *)view;
+ (BOOL)isInputRuleNotBlank:(NSString *)str;
//设置文字阴影
+(NSMutableAttributedString*)toGetFormStr:(NSString*)str font:(UIFont*)font color:(UIColor*)color;
//底部安全区域高度
+(float)getSafeBottom;
//秒转换成时分秒
+(NSString *)getHHMMSSFromSS:(int)totalSeconds;
//获取当前ViewController
+ (UIViewController *)getCurrentViewController;
#pragma mark -------------------------保存音乐文件到本地------------------------------------
+(void)toSaveAudioFile:(NSArray*)array :(NSArray <NSURL *>*)urls :(NSString*)room_id_str :(NSInteger)audio_type :(NSString*)tts_text;
#pragma mark -------------------------读取音乐数组------------------------------------
+(NSArray*)toReadAudioFile:(NSString*)room_id_str;
#pragma mark -------------------------保存音乐数组到本地------------------------------------
+(void)toSaveAudioTxt:(NSArray*)arr :(NSString*)room_id_str;
#pragma mark----------------自定义弹框---------------------
+(void)alertWithTitle: (NSString *)_title msg: (NSString *)msg cancle:(NSString *)cancle sure:(NSString *)sure :(void (^)(NSInteger type))success;
#pragma mark----------------显示tips---------------------
+(void)showLoadText:(NSString *)loadtext :(UIView*)view;
#pragma mark----------------获取文本高度---------------------
+ (CGFloat)getHeightByWidth:(CGFloat)width title:(NSString *)title font:(UIFont *)font;
#pragma mark----------------获取文本宽度---------------------
+ (CGFloat)getWidthWithTitle:(NSString *)title font:(UIFont *)font;
//非空判断
+(id)changeType:(id)myObj;
//JSON字符串转化为字典
+ (NSDictionary *)dictionaryWithJsonString:(NSString *)jsonString;

+ (void)showHud;

+ (void)showHud:(SVProgressHUDMaskType)maskType;

+ (void)hideHud;
@end


