//
//  DLHomeListModel.h
//  DreamLive
//
//  Created by cunzhi on 2022/9/24.
//

#import <Foundation/Foundation.h>


@interface DLHomeListModel : NSObject

@property (nonatomic, strong) NSString *Id;//直播间ID
@property (nonatomic, strong) NSString *liveName;//直播间名称
@property (nonatomic, strong) NSString *modeName;//模版名称
@property (nonatomic, strong) NSString *updatedTime;
@property (nonatomic, strong) NSString *createdTime;
@property (nonatomic, strong) NSString *bgUrl;
@property (nonatomic, strong) NSString *coverUrl;
@property (nonatomic, strong) NSString *corpName;
@property (nonatomic, strong) NSString *introduct;
@property (nonatomic, assign) NSInteger duration;
@property (nonatomic, strong) NSString *durationStr;
@property (nonatomic, assign) NSInteger liveType; //0 ai直播  1视频纸币 2预合成直播 3快速直播
@property (nonatomic, assign) NSInteger liveinfoStatus; //0编辑中 1初始化在 2待开播 3直播中 4合成失败
@property (nonatomic, strong)NSString *anchorGender;//女声 主播音色
///主播语调 对应 pitch
@property (nonatomic, strong)NSString *anchorIntonation;
@property (nonatomic, assign)NSInteger anchorNum;
///主播发音人
@property (nonatomic, strong)NSString *anchorPepole;
@property (nonatomic, strong)NSString *anchorPoint;//主播端点号 对应 engineTypeCode
@property (nonatomic, strong)NSString *anchorSpeed; // 主播语速 对应 speedRate
@property (nonatomic, strong)NSString *anchorVoice;// // 主播音量大小 对应 volume
@property (nonatomic, strong)NSString *rtmpUrl;//
@property (nonatomic, assign)NSInteger windowMode;//0 非绿幕 1绿幕

@property (nonatomic, strong)NSDictionary* gptSettingInfo;

@property (nonatomic, strong)NSString* anchorF0upKey;
@property (nonatomic, strong)NSString*robotCode;
@property (nonatomic, strong)NSString*robotName;
@property (nonatomic, strong)NSString*udCode;

@property (nonatomic, strong)NSString*udName;

@end


