//
//  BGMusicView.h
//  DreamLive
//
//  Created by guiji on 2023/5/23.
//

#import <UIKit/UIKit.h>
#import "BGMusicCell.h"
#import "AudioPlayerView.h"
#import "DLHomeListModel.h"
NS_ASSUME_NONNULL_BEGIN

@interface BGMusicView : UIView
//音频播放界面
@property (nonatomic, strong)DLHomeListModel* listModel;
@property (nonatomic, strong) AudioPlayerView * audioPlayView;
@property (nonatomic, copy) void (^playBlock)(BGMusicModel*musicModel);
@property (nonatomic, copy) void (^sureBlock)(NSInteger type,NSMutableArray * audioList);
-(void)toLoadData;
//-(void)toRemoveLivePlatformView;
#pragma mark---------------- 停止播放------------------
-(void)toStopALLPlay;

@end

NS_ASSUME_NONNULL_END
