//
//  HttpClient.h
//  Xici
//
//  Created by XICI-Jacob on 10/31/13.
//
//


#import "AFNetworking.h"

//typedef enum HttpMethod{
//    HttpMethodGet,
//    HttpMethodPost,
//}HttpMethod;

@protocol HttpClientDelegate <NSObject>

-(void)HttpClientResult:(NSDictionary*)dic;

@end

@interface HttpClient : NSObject<NSURLSessionDownloadDelegate>
{
    NSString *lastUploadString;
}
@property(assign) id<HttpClientDelegate>delegate;

+(HttpClient *)manager;

-(void)requestWithBaseURL:(NSString *)url
      para:(NSDictionary *)parameters
     headers:(NSDictionary *)headers
    httpMethod:(HttpMethod)httpMethod
    success:(void (^)( id responseObject))success
    failure:(void (^)(NSURLSessionDataTask *task,NSError *error))failure;


/// 上传图片接口
/// @param url 上传地址
/// @param parameters 入参
/// @param headers 请求头
/// @param imageData 图片data
/// @param fileName 图片的名字
/// @param success 成功回调
/// @param failure 失败回调
- (void)requestImageWithURL:(NSString *)url
                       para:(NSDictionary *)parameters
                    headers:(NSDictionary *)headers
                  imageData:(NSData *)imageData
                   fileName:(NSString *)fileName
                    success:(void (^)( id responseObject))success
                    failure:(void (^)(NSURLSessionDataTask * task,NSError *error))failure;


@end
