//
//  WHActionSheetCell.m
//  BeeBee
//
//  Created by quwan on 2017/6/15.
//  Copyright © 2017年 quwan. All rights reserved.
//


#import "WHActionSheetCell.h"

@implementation WHActionSheetCell

-(id)initWithFrame:(CGRect)frame
{
    self=[super initWithFrame:frame];
    if(self)
    {
        [self loadSubView];

    }
    return self;
}

-(void)loadSubView
{
  
    
    [self addSubview:self.imageView];


    [self addSubview:self.nameLabel];


}

#pragma mark-------------配音头像-----------------
-(UIImageView*)imageView
{
    if(nil==_imageView)
    {
        _imageView=[[UIImageView alloc] init];
        _imageView.layer.cornerRadius=9;
        _imageView.clipsToBounds=YES;
        _imageView.userInteractionEnabled=YES;
        _imageView.backgroundColor=[UIColor clearColor];

        
    }
    return _imageView;
}

#pragma mark ------------------名字-------------------------
-(UILabel*)nameLabel
{
    if(_nameLabel==nil)
    {
        _nameLabel=[[UILabel alloc] init];
        _nameLabel.font=[UIFont fontWithName:@"PingFangSC-Medium" size:12];
        _nameLabel.textColor=[UIColor colorWithHexString:@"#FFFFFF" alpha:1.0];
        _nameLabel.backgroundColor=[UIColor clearColor];
        _nameLabel.textAlignment=NSTextAlignmentCenter;
        _nameLabel.text=@"苏苏";
//        _nameLabel.text=@"请您跟我描述一下本场直播的商品信息，我会为您丰富商品介绍话术";
    }
    return _nameLabel;
   
}
-(void)toSetContent
{
    self.imageView.image=[UIImage imageNamed:self.imageName];
    self.nameLabel.text=self.name;
    float width=[GlobalFunc getWidthWithTitle:self.name font:[UIFont fontWithName:@"PingFangSC-Medium" size:12]];
    self.imageView.frame=CGRectMake((self.width- 26-width)/2, 16, 17, 17);
    self.nameLabel.frame=CGRectMake(CGRectGetMaxX(self.imageView.frame)+9, 0, width, 18);
    self.nameLabel.centerY=  self.imageView.centerY;
}

@end
