//
//  WHFooterView.m
//  GJDigitalDemo
//
//  Created by guiji on 2023/7/11.
//

#import "WHFooterView.h"
@interface WHFooterView ()
@property(nonatomic,strong)UIButton *cancelBtn;
@property(nonatomic,strong)UIView*bottomLine;
@end

@implementation WHFooterView
-(id)initWithFrame:(CGRect)frame
{
    self=[super initWithFrame:frame];
    if(self)
    {
        [self loadSubView];

    }
    return self;
}

-(void)loadSubView
{
    [self addSubview:self.bottomLine];
    
    [self addSubview:self.cancelBtn];





}
-(void)layoutSubviews
{
    [super layoutSubviews];
    self.bottomLine.frame=CGRectMake(20, 0, self.width-40, 1);
    self.cancelBtn.frame=CGRectMake(0, 1, self.width, 60);
}
-(UIView*)bottomLine
{
    if(_bottomLine==nil)
    {
        _bottomLine = [[UIView alloc] init];
        _bottomLine.backgroundColor = [UIColor colorWithHexString:@"#3C4060"];
    }
    return _bottomLine;
}



-(UIButton*)cancelBtn
{
    if(_cancelBtn==nil)
    {
        _cancelBtn = [UIButton buttonWithType:UIButtonTypeCustom];
        [_cancelBtn setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
        _cancelBtn.titleLabel.font =[UIFont fontWithName:@"PingFangSC-Medium" size:12];
        [_cancelBtn setTitle:@"取消" forState:UIControlStateNormal];
        [_cancelBtn addTarget:self action:@selector(toCancel) forControlEvents:UIControlEventTouchUpInside];
    }
    return _cancelBtn;
}
-(void)toCancel
{
    if(self.footerBlock)
    {
        self.footerBlock();
    }
}
@end
